cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Zlatanov <...@lifelogs.com>
Subject Re: Apache Cassandra and Net::Cassandra::Easy
Date Tue, 11 May 2010 20:20:33 GMT
On Tue, 11 May 2010 14:29:13 -0500 Jonathan Ellis <jbellis@gmail.com> wrote: 

JE> 2010/5/11 Ted Zlatanov <tzz@lifelogs.com>:
>> The latest N::C::Easy will not work with Cassandra 0.6.x, the only
>> target is SVN trunk.  I can't discover the API version on the server so
>> there's no way to anticipate such breakage as you see (I suspect it's
>> due to API mismatch).  The Cassandra developers haven't addressed
>> https://issues.apache.org/jira/browse/CASSANDRA-972 which can be used to
>> provide all that information over Thrift as well as in the log files.

JE> Or you could branch N:C:E for different Cassandra versions.  So far
JE> you're the only client developer to take the stance that they can't
JE> support stable C* versions w/o #972, which is good because it's ...
JE> silly.

I didn't say I'd support 0.6.x with #972.  I only need #972 so I can
tell the user the other side is or is not compatible with the N::C::Easy
version he's using, as a courtesy.  I don't plan to support 0.6.x.

On Tue, 11 May 2010 11:45:27 -0700 Scott Doty <scott@corp.sonic.net> wrote: 

SD> A kind person on Freenode pointed me to this ticket:

SD> https://issues.apache.org/jira/browse/THRIFT-758

I can apply this patch automatically in my module (since I distribute a
copy of the Thrift Perl modules bundled inside).  I'll put it on my TODO
list and push it out with the next release (0.15), thanks.

SD> This is using Net-Cassandra-Easy-0.14-7Jcufu and Cassandra 0.6.1.

I'll stabilize N::C::Easy at 0.7 and support both 0.7 and trunk from
that point on.  Sorry but 0.6.x is not supported.  I made this a
stronger statement in the N::C::Easy docs as of next release; sorry for
the inconvenience.

Ted


Mime
View raw message